# CSLUtils

class CSLUtils

## Methods

static stdClass
cslName(null $family = null, null $given = null, null $droppingParticle = null, null $nonDroppingParticle = null, null $suffix = null, bool $commaPrefix = false, bool $commaSuffix = false, bool $staticOrdering = false, bool $literal = false, bool $parseNames = false)

No description

static array
getCSLNames($authorString)

No description

## Details

###
at line 49
`static stdClass cslName(null $family = null, null $given = null, null $droppingParticle = null, null $nonDroppingParticle = null, null $suffix = null, bool $commaPrefix = false, bool $commaSuffix = false, bool $staticOrdering = false, bool $literal = false, bool $parseNames = false)`

#### Parameters

null | $family |
null | $given |
null | $droppingParticle |
null | $nonDroppingParticle |
null | $suffix |
bool | $commaPrefix |
bool | $commaSuffix |
bool | $staticOrdering |
bool | $literal |
bool | $parseNames |

#### Return Value

stdClass |

###
at line 96
`static array getCSLNames($authorString)`

#### Parameters

| $authorString |

#### Return Value

array |